[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#362269: x11-common: pgrade from 6.9.0.dfsg to 1:7.0.10 breaks many programs with "request_code 151 minor_code 23"



Package: x11-common
Version: 1:7.0.10
Severity: important

I just used aptitude to upgrade my debian/unstable box (the previous
full update was on 2006-03-19), most notably this upgraded the X system
to 7.0.10. And since then, many X programs are either crashing (mostly
before even displaying anything), or reporting the same error code while
functionning otherwise unaffected.

for instance : gqview, firefox, thunderbird, emacs... all crash on
launch and report :
(emacs :)
X protocol error: BadRequest (invalid request code or no such operation)
on protocol request 151

(firefox/thunderbird :)
The error was 'BadRequest (invalid request code or no such operation)'.
 (Details: serial 418 error_code 1 request_code 151 minor_code 23)

gimp starts OK, but crashes when opening any kind of menu.

While knode (and all kde/qt programs I tried so far) run without
problem, though reporting the same errors a few times on startup :
X Error: BadRequest (invalid request code or no such operation) 1
 Major opcode:  151
 Minor opcode:  23


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (760, 'unstable'), (751, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.16.4

-- debconf information excluded



Reply to: